<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>SystemOutLogger (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SystemOutLogger (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SystemOutLogger.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/util/SuppressForbidden.html"
               title="annotation in org.apache.poi.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/util/TempFile.html" title="class in org.apache.poi.util"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/util/SystemOutLogger.html" target="_top">Frames</a></li>
        <li><a href="SystemOutLogger.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.util.POILogger">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.util</div>
    <h2 title="Class SystemOutLogger" class="title">Class SystemOutLogger</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../org/apache/poi/util/POILogger.html" title="class in org.apache.poi.util">org.apache.poi.util.POILogger</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.util.SystemOutLogger</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">SystemOutLogger</span>
extends <a href="../../../../org/apache/poi/util/POILogger.html"
           title="class in org.apache.poi.util">POILogger</a></pre>
                <div class="block">A logger class that strives to make it as easy as possible for
                    developers to write log calls, while simultaneously making those
                    calls as cheap as possible by performing lazy evaluation of the log
                    message.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a name="fields.inherited.from.class.org.apache.poi.util.POILogger">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.util.<a
                                        href="../../../../org/apache/poi/util/POILogger.html"
                                        title="class in org.apache.poi.util">POILogger</a></h3>
                                <code><a href="../../../../org/apache/poi/util/POILogger.html#DEBUG">DEBUG</a>, <a
                                        href="../../../../org/apache/poi/util/POILogger.html#ERROR">ERROR</a>, <a
                                        href="../../../../org/apache/poi/util/POILogger.html#FATAL">FATAL</a>, <a
                                        href="../../../../org/apache/poi/util/POILogger.html#INFO">INFO</a>, <a
                                        href="../../../../org/apache/poi/util/POILogger.html#LEVEL_STRINGS">LEVEL_STRINGS</a>,
                                    <a href="../../../../org/apache/poi/util/POILogger.html#LEVEL_STRINGS_SHORT">LEVEL_STRINGS_SHORT</a>,
                                    <a href="../../../../org/apache/poi/util/POILogger.html#WARN">WARN</a></code></li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/SystemOutLogger.html#SystemOutLogger--">SystemOutLogger</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/SystemOutLogger.html#Z:Z_log-int-java.lang.Object-">_log</a></span>(int&nbsp;level,
                                    java.lang.Object&nbsp;obj1)</code>
                                    <div class="block">Log a message</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/SystemOutLogger.html#Z:Z_log-int-java.lang.Object-java.lang.Throwable-">_log</a></span>(int&nbsp;level,
                                    java.lang.Object&nbsp;obj1,
                                    java.lang.Throwable&nbsp;exception)</code>
                                    <div class="block">Log a message</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/SystemOutLogger.html#check-int-">check</a></span>(int&nbsp;level)</code>
                                    <div class="block">Check if a logger is enabled to log at the specified level</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/SystemOutLogger.html#initialize-java.lang.String-">initialize</a></span>(java.lang.String&nbsp;cat)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.org.apache.poi.util.POILogger">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.util.<a
                                        href="../../../../org/apache/poi/util/POILogger.html"
                                        title="class in org.apache.poi.util">POILogger</a></h3>
                                <code><a
                                        href="../../../../org/apache/poi/util/POILogger.html#log-int-java.lang.Object...-">log</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="SystemOutLogger--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>SystemOutLogger</h4>
                                <pre>public&nbsp;SystemOutLogger()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="initialize-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>initialize</h4>
                                <pre>public&nbsp;void&nbsp;initialize(java.lang.String&nbsp;cat)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/util/POILogger.html#initialize-java.lang.String-">initialize</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/util/POILogger.html"
                                                            title="class in org.apache.poi.util">POILogger</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="Z:Z_log-int-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_log</h4>
                                <pre>protected&nbsp;void&nbsp;_log(int&nbsp;level,
                    java.lang.Object&nbsp;obj1)</pre>
                                <div class="block">Log a message</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/util/POILogger.html#Z:Z_log-int-java.lang.Object-">_log</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/util/POILogger.html"
                                                            title="class in org.apache.poi.util">POILogger</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>level</code> - One of DEBUG, INFO, WARN, ERROR, FATAL</dd>
                                    <dd><code>obj1</code> - The object to log.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="Z:Z_log-int-java.lang.Object-java.lang.Throwable-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_log</h4>
                                <pre>protected&nbsp;void&nbsp;_log(int&nbsp;level,
                    java.lang.Object&nbsp;obj1,
                    java.lang.Throwable&nbsp;exception)</pre>
                                <div class="block">Log a message</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/util/POILogger.html#Z:Z_log-int-java.lang.Object-java.lang.Throwable-">_log</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/util/POILogger.html"
                                                            title="class in org.apache.poi.util">POILogger</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>level</code> - One of DEBUG, INFO, WARN, ERROR, FATAL</dd>
                                    <dd><code>obj1</code> - The object to log. This is converted to a string.</dd>
                                    <dd><code>exception</code> - An exception to be logged</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="check-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>check</h4>
                                <pre>public&nbsp;boolean&nbsp;check(int&nbsp;level)</pre>
                                <div class="block">Check if a logger is enabled to log at the specified level</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/util/POILogger.html#check-int-">check</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/util/POILogger.html"
                                                            title="class in org.apache.poi.util">POILogger</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>level</code> - One of DEBUG, INFO, WARN, ERROR, FATAL</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../org/apache/poi/util/POILogger.html#DEBUG"><code>POILogger.DEBUG</code></a>,
                                        <a href="../../../../org/apache/poi/util/POILogger.html#INFO"><code>POILogger.INFO</code></a>,
                                        <a href="../../../../org/apache/poi/util/POILogger.html#WARN"><code>POILogger.WARN</code></a>,
                                        <a href="../../../../org/apache/poi/util/POILogger.html#ERROR"><code>POILogger.ERROR</code></a>,
                                        <a href="../../../../org/apache/poi/util/POILogger.html#FATAL"><code>POILogger.FATAL</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SystemOutLogger.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/util/SuppressForbidden.html"
               title="annotation in org.apache.poi.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/util/TempFile.html" title="class in org.apache.poi.util"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/util/SystemOutLogger.html" target="_top">Frames</a></li>
        <li><a href="SystemOutLogger.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.util.POILogger">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
